WordPress升级5.0后“恢复旧版本默认编辑器”插件:Classic Editor

由于WordPress出来了最新的版本5.0,我马上就升级到了wordpress5.0,我正准备去发两篇技术文章的时候,结果,吓我一跳,wordpress升级到5.0后,编辑器成了如下情况:

wordpress5.0编辑器器

 

当我第一次看到这新的编辑器的时候,我感觉WordPress5.0不能发布文章了,我也不会用它来发布文章了,不知道各位感觉有跟我一样的吗?

 

原因:

1、wordpress4.9.8版本的时候,已经在呼吁大家使用Gutenberg编辑器了,没有想到的是,等到wordpress5.0的时候,wordpress5.0的文章编辑功能已经变成全新的Gutenberg(古腾堡)了,看似高级了很多,很科幻,但是没有汉化,另外:由于使用习惯了老版本默认的编辑器,再使用新的编辑器会非常不方便,我们又应该如何解决这个问题呢?

 

2、WordPress 5.0 正式采用了全新的“Block Editor”编辑器,从而替换了原有“Classic Editor”编辑器,相信有很多人和我一样会不习惯或者不喜欢新编辑器,那么新版 WordPress 该如何换回原来的 WordPress 编辑器呢?

 

解决办法

其实,解决这个问题非常简单,wordpress两个插件中任何一个都可以解决这个问题。

 

一、Classic Editor

直接搜索插件:Classic Editor 进行安装启用即可。(推荐)

Classic Editor

Classic Editor设置教程(此内容是非必要看的):

安装并启用“Classic Editor”插件后就会在“设置”-“撰写”中增加两个设置选项:

1、Default editor for all users 为所有用户默认编辑器

2、Allow users to switch editors 为允许用户切换编辑器

WordPress-5.0编辑器设置

根据自己需要设置即可,如果你的只是个人博客,第一个选项设置为“Classic Editor”,第二个设置为“No”即可。

 

二、Disable Gutenberg

直接搜索插件:Disable Gutenberg 进行安装启用即可。

 

拓展知识:

1、Classic Editor插件也是wordpress官方推荐的插件,因此我更喜欢用Classic Editor。

2、据wordpress官方讲,Classic Editor插件可以让WordPress对“旧版本的默认编辑器”支持保留到2021年。

3、Classic Editor插件可恢复以前的WordPress编辑器和Edit Post屏幕。

4、Classic Editor让您:继续使用扩展它的插件、保留旧式元框、允许您继续使用其他依赖于传统编辑体验的功能。

 

注意:此插件不仅仅只针对WordPress5.0,甚至是在未来几年时间里,不管WordPress又升级了多少个版本,例如WordPress6.0、7.0......等等版本,都可以实现WordPress“恢复旧版本默认编辑器“。

    A+
发布日期:2018年12月08日 11:45:44  所属分类:WordPress插件
最后更新时间:2018-12-08 18:50:35
评分: (6 票;平均数5.00 ;最高评分 5 ;用户总数6;总得分 30;百分比100.00)
付杰
PHP运行环境 wamp lamp lnmp 安装 配置 搭建服务
PHP运行环境 wamp lamp lnmp 安装 配置 搭建服务
  • ¥ 9.9元
  • 市场价:49.9元
花牛苹果 甘肃天水 李宏恩家自种 1斤 包邮
花牛苹果 甘肃天水 李宏恩家自种 1斤 包邮
  • ¥ 6.8元
  • 市场价:8.8元
SEO顾问服务 中小型网站 单站/最低99.9元 全方位优化
SEO顾问服务 中小型网站 单站/最低99.9元 全方位优化
  • ¥ 99.9元
  • 市场价:5000元
免费SSL证书服务 HTTPS申请 安装 配置 支持通配符*
免费SSL证书服务 HTTPS申请 安装 配置 支持通配符*
  • ¥ 199.9元
  • 市场价:20000元

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

 

目前评论:20   其中:访客  14   博主  6

  1. 头像 升升升 1

    我是“worldpress 5.1 切换老编辑”才看到此文章的,非常感谢!

  2. 头像 黑头 0

    编辑器可以升到中文版的,你的wodpress一定是手动升级的吧?

    • 付杰 付杰

      @黑头 是的,因为权限问题,一直都是半手动半自动升级。我现在还是wordpress5.0,现在不是已经有最新版本wordpress5.0.2了吗?后台也一直在提示我更新,我只是还没更新吧!
      兄弟:再问一句:中文版的编辑器好用吗?跟老版的相比怎么样?

      • 头像 黑头 3

        @付杰 升5.02后看到编辑器大失所望,马上就装回4.73了,也没去体验,不到万不得已我是不会升级wp的。

        • 付杰 付杰

          @黑头 没必要装回去,你可以用我给你推荐的这个插件。有时候升级可以防漏洞的,还好这个版本升级主要是改变了编辑器,没什么补丁什么的?但是:以后肯定还是会有的。建议:尽量升级到高版本。

  3. 头像 专业研究SEO六年 1

    感谢博主,刚好解决了我博客更新的问题。

  4. 头像 王福 0

    wordpress5.0这编辑器什么都好,就是英文很尴尬。

  5. 头像 心月 0

    wordpress5.0我更新已经有两天了, 不断的做了些测试,感觉新编辑器还不错,没必要换旧版本的编辑器。

  6. 头像 王者天下 0

    我也是一名站长,看到你们这样,那我的网站wordpress没必要升级到5.0吧!
    而且,我一直都认为,版本这个东西:大版本升级一般是功能性的,小版本升级是漏洞方面的,所以做好小版本的及时更新就行,大版本可以稍慢一些。

    • 付杰 付杰

      @王者天下 你说得很对!功能性的是否更性无所谓,只要不影响你现在的功能就行。主要是漏洞这块!

  7. 头像 隐娘 0

    这一次可以说是wordpress5.0大更新吧!

    • 付杰 付杰

      @隐娘 是的,编辑器变化挺大的。

  8. 头像 何干 1

    今天我也一样,升级到wordpress5.0后,我也有这个感觉:wordpress5.0 不能发文章了,还好看到了博主推荐的这个插件,非常的好用,非常感谢!

  9. 头像 天苍苍地茫茫 0

    我今天也是这个情况,升级到wordpress5.0后,我有一刹那的想法是,完了,wordpress5.0不能发文章了,直接不会用这个编辑器了。

  10. 头像 何梦林 0

    个人感觉wordpress这次升级不是很好,编辑器改变也太大了,应该一步一步的来才对。还好有这个插件。我在想,wordpress如果继续这样下去,会凉凉吗?

    • 付杰 付杰

      @何梦林 wordpess凉凉应该不会,暂时可以先用这个插件,毕竟到期时间还有几年,2021年再说吧!到时候看看是什么一种情况?

  11. 头像 小申 1

    这插件的确很不错,感谢博主,一下就解决了我的问题。

  12. 头像 唐砖 0

    我昨天就更新了,也吓了我一跳,害得我又重新安装成4.9版本了,早知道这么容易,白忙活一天了。
    看来以后要像博主多多学习!

  13. 头像 文文 0

    2021年后,又怎么办呢?

    • 付杰 付杰

      @文文 或许未来又会改回来也说不定,从Classic Editor这个插件安装量来看的话,用的人还挺多的,说明大家还是喜欢旧版本的默认编辑器。